#include "collision_map.hpp"

#include <utility>  // Para std::move

CollisionMap::CollisionMap(std::vector<int> collision_tile_map, int conveyor_belt_direction)
    : collision_tile_map_(std::move(collision_tile_map)),
      conveyor_belt_direction_(conveyor_belt_direction),
      tile_collider_(collision_tile_map_) {}
